local recovery = Class(function(self, inst)
    self.inst = inst
	self.health = self.inst.components.health
	self.time = 50
	local dt = 20
	self.inst:DoPeriodicTask(dt, function() self:OnUpdate(dt) end)
end)

function recovery:OnUpdate(dt)
    self.time = self.time - dt
    if self.time <= 0 then
        self:effect() 
    end
end

function recovery:effect()
	self.health:DoDelta(REGENERATION, false) 
	self.inst.HUD.controls.status.heart:PulseGreen()

end

REGENERATION = 0.5

return recovery