local assets =
{
	Asset("ANIM", "anim/bluegem_fragment.zip"),
	Asset("ATLAS", "images/inventoryimages/bluegem_fragment.xml")
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("bluegem_fragment")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/bluegem_fragment.xml"
		
    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = 20

    return inst
end

return Prefab( "common/inventory/bluegem_fragment", fn, assets)
